<!DOCTYPE html>
<html>
  <head>
    <title>
      Sign Problems, Contour Deformations, and Computational Complexity
    </title>
    <link rel="stylesheet" href="present.css" />
    <script src='present.js'></script>
    <script src='sign.js'></script>
    <script async src='/mathjax/tex-svg-full.js'></script>
  </head>
  <body>
    <noscript>
      <div style="font-size: 30pt;">Javascript really is required, sorry</div>
    </noscript>

    <header id="title">
      <div class="flex-horiz" style="padding: 5vh 0">
        <h1 style="color: #888" style="padding-bottom:3vh"><span style="color:red">Sign Problems</span>,<br><span style="color:green">Contour Deformations</span>, &<br><span style="color:blue">Computational Complexity</span></h1>
      <div><img src="title.svg" style="width: 50vh; padding-top: 5vh; text-align: center;"/></div>
      </div>
      <div class="author">Scott Lawrence</div>
      <div style="font-size:3.0vh;">
        based on <tt>arXiv:2101.05755</tt> (with <span style="color: #882288">Yukari Yamauchi</span>) and <tt>arXiv:211x.xxxxx</tt>
      </div>
      <div>
        <img src="nf.png" style="width:55vh" />
        <img src="csm.png"  style="width:35vh"/>
      </div>
      <div>
        <img src="umd.png" style="width: 25vh; padding: 0 1em" />
        <img src="boulder.png" style="width: 35vh; padding: 0 1em" />
      </div>
      <div></div>
    </header>

    <section id="lattice">
      <header><h1>Lattice Field Theory, Briefly</h1></header>
      <p>To calculate <span style="color:green">\(\langle \mathcal O \rangle \equiv \frac 1 Z \mathrm{Tr}\; e^{-\beta H} \mathcal O\)</span>:
      \[
      \mathrm{Tr}\; e^{-\beta H} = \mathrm {Tr}\; \big(e^{-\delta H}\big)^{\beta/\delta} =
      \sum_{\psi_1,\psi_2,\ldots} 
      \langle \psi_1 | e^{-\delta H} | \psi_2 \rangle \langle \psi_2 | e^{-\delta H} \cdots | \psi_1 \rangle
      \]
      <p>To evaluate \(\langle \psi' | e^{-\delta H} | \psi\rangle\), use \(\delta \ll 1\):
      <div class="flex-horiz">
        \[
        e^{-\delta H} = 1 - \delta H + \cdots
        \]
        \[
        e^{-\delta (K + V)} \approx e^{-\delta V / 2} e^{-\delta K} e^{-\delta V / 2}
        \]
      </div>
      <p>Lo! <span style="color:blue;font-weight:bold">Feynman's path integral:</span>
      \[
      \langle \mathcal O \rangle \propto \int \mathcal D \psi \;e^{- S[\phi]}
      \]
      <hr>
      <p>Evaluate with Monte Carlo... unless \(\langle \cdot | e^{-\delta H} | \cdot \rangle \) is not positive!
      <div class="flex-horiz" style="color:red; font-weight: bold">Sign Problem</div>
      <footer></footer>
    </section>

    <section id="fermion-density">
      <header><h1>Finite Fermion Density</h1></header>
      <div class="flex-horiz" style="margin: 2vh">
        <div>
          <p style="color: red">Fermionic theories always have a sign problem, naively.
          <p style="color: green">Instead, integrate out the fermionic fields to obtain a fermion determinant:
          \[ Z = \int \mathcal D U \; e^{-S[U]} \det D[U] \]
          <p style="color: red"> When \( \mu \ne 0\), \( \det D[U] \not\in \mathbb R_+ \)
        </div>
        <div style="border-left: 1px solid #222; padding-left: 1vh">
          <div class="flex-horiz"><img src="neutron-star.jpg" style="width: 25vh; padding: 2vh"/></div>
          <div class="flex-horiz"><img src="mr.jpg" style="width: 60vh"/></div>
        </div>
      </div>
      <footer></footer>
    </section>

    <section id="real-time">
      <header><h1>Real-Time Linear Response</h1></header>
      <p>Finite-temperature QCD is well described in the IR by (relativistic) hydrodynamics:
      \[

          \rho \left(\frac{\partial u_i}{\partial t} + u_j \nabla_j u_i\right) + \nabla p
              =
              {\color{blue}\eta \partial_j \left(\partial_i u_j + \partial_j u_i\right)}
                      +
                          \left(\zeta- \frac 2 3 \eta\right) \partial_i \partial_j u_j
      \]
      <p>Shear waves decay with rate \(\propto \eta\):
      \[
      \langle \hat T_{01}(k,t)^\dagger\; \hat T_{01} (k,0)\rangle \sim e^{-\frac{\eta}{\rho} k^2}
      \]
      <p>Extracting the shear visocsity requires evaluating time-separated observables:
      \[
      \langle \mathcal O(t) \mathcal O(0) \rangle \propto {\mathrm{Tr}\;} e^{-\beta H} {\color{red}e^{i H t}} \mathcal O {\color{red}e^{-i H t}} \mathcal O
      \]
      <p>Trotterizing the time-evolution operator induces a sign problem:
      \[
      \langle \psi' | e^{-i \delta H} | \psi \rangle  \not \in \mathbb R
      \]
      <footer></footer>
    </section>

    <section id="gaussian-example">
      <header><h1>The Easiest Sign Problem</h1></header>
      <div class="flex-horiz" style="font-size: 80%">
      \[
      Z = \int d x\; e^{-x^2 - {\color{red}2 i \alpha x}}
      \]
      \[\color{blue}
      Z_Q = \int d x \; e^{-x^2}
      \]
      </div>
      <div class="flex-horiz"><div style="width: 70vh; padding: 2vh 0">
      <p>We must sample with respect to the <span style="color:blue">quenched</span> Boltzmann factor. Observables are computed via
      \[
      \langle \mathcal O \rangle = \frac{\langle\mathcal O e^{-i S_I} \rangle_Q}{\langle e^{-i S_I}\rangle_Q}
      \]
        </div><div>
      <p>The sign problem is measured by
      \[
      \langle \sigma\rangle \equiv \frac Z {Z_Q} \sim e^{-\alpha^2}
      \]</div></div>
      <hr>
      <div class="flex-horiz">
      <img src="gaussian-sign.png" style="width: 45vh"/>
      <img src="gaussian-contour.png" style="width: 45vh"/>
      </div>
      <footer></footer>
    </section>

    <section id="part-i">
      <div></div>
      <h1 style="text-align: center;">Part I: Contour Deformations</h1>
      <div></div>
    </section>

    <section id="contour-deformations">
      <header><h1>Contour Integrals for the Sign Problem</h1></header>
      <div class="flex-horiz">
        <div style="margin: 0 5vh">
          <p>The Boltzmann factor \(e^{-S}\) is complex. Sample with \(e^{-S_R}\) and reweight.
          \[
          \langle\sigma\rangle = \frac{\int e^{-S}}{\int |e^{-S}|}
          \]
        </div>
        <div style="margin: 0 5vh">
          <img src="cauchy1d2.svg" style="width:40vh"/>
        </div>
      </div>
      <div class="flex-horiz">
        <span style="font-weight: bold; color:green; margin: 0 5vh">
          Theorem: the integral of a holomorphic function is unchanged by contour deformation.
        </span>
      </div>
      <footer></footer>
    </section>


    <section id="do-manifolds-exist">
      <header><h1>Do Perfect Manifolds Exist?</h1></header>
      <p><b>Wanted</b>: a manifold such that
      \[
      \left|\int e^{-S} \;d z\right|=\int \left|e^{-S} \;dz\right|
      \]
      <div class="flex-horiz"><span style="font-weight: bold; color: blue">This does not automatically solve the sign problem!</span></div>
      <ul>
        <li>Perfect manifolds might be hard to find</li>
        <li>Hard to sample from</li>
        <li>Observables may have signal-to-noise problem</li>
      </ul>
      <footer></footer>
    </section>

    <section id="example-polynomial">
      <header><h1>Example: One-Dimensional Integrals</h1></header>
      \[
      Z = \int dz\;e^{-z^2 - \lambda e^{i\theta} z^4}
      \]
      <div class="flex-horiz">
        <img style="width:80vh" src="manifolds1d.png" />
      </div>
      <footer></footer>
    </section>

    <section id="example-thimbles">
      <header><h1>Example: One-Dimensional Integrals</h1></header>
      \[
      Z = \int dz\;e^{z^2 - e^{i} z^4 - i z^3}
      \]
      <div class="flex-horiz">
        <img style="width:80vh" src="thimbles1d.png" />
      </div>
      <footer></footer>
    </section>

    <section id="example-cos">
      <header><h1>Example With No Perfect Manifold</h1></header>
        \[ Z = \int (\cos \theta + \epsilon) \;d \theta\]
      <div class="flex-horiz">
        <div>
          <p> \[Z = 2 \pi \epsilon\]
          <p> Quenched partition function is \(O(1)\)
        </div>
        <div>
          <img src="cos-example.png" style="width:70vh" />
        </div>
      </div>
      <hr>
      <div class="flex-horiz">
        <span style="margin: 0 18vh; color:red; font-weight:bold">Similar methods reveal that no manifold exists for the mean-field Thirring model.</span>
      </div>
      <footer></footer>
    </section>

    <section id="following">
      <header><h1>Following Perfect Manifolds</h1></header>
      <div class="flex-horiz">
        <span style="font-weight: bold; color: green">
          Locally perfect manifolds always exist.
        </span>
      </div>
      <div class="flex-horiz">
        <img src="perfects.svg" />
      </div>
      <div class="flex-horiz">
        <span style="font-weight: bold; color: blue; margin: 0 5vh">
          Conjecture: Locally perfect manifolds exist, and depend smoothly on parameters in the action.
        </span>
      </div>
      <p>If that's true, how can a global sign problem be created?
      <footer>See 2101.05755</footer>
    </section>

    <section id="following-cos-failure">
      <header><h1>Creation of a Global Sign Problem</h1></header>
      <p>\[ \int \cos\theta + \epsilon \]
      <p>What happens as we vary \(\epsilon\)?
      <p>A global sign problem is created as we cross \(\epsilon_c = 1\).
      <div class="flex-horiz"><img src="global-creation.svg" style="width: 120vh"/></div>
      <div class="flex-horiz">
        <span style="color: blue; font-weight: bold">Global sign problem is created by the motion of the zeros</span>
      </div>
      <footer></footer>
    </section>

    <section id="bosonic-zeros">
      <header><h1>Singularities of a Bosonic Action</h1></header>
      <div class="flex-horiz">
        <p style="font-weight: bold; color:blue">There aren't very many...</p>
      </div>
      \[
      S = \sum_{i j} x_i M_{ij} x_j + \sum_i \Lambda_i x_i^4
      \]
      <p>The only singularity is at infinity, and it never moves.
      <div class="flex-horiz">
        <span style="font-weight: bold; color:green">No opportunity for a global sign problem!</span>
      </div>
      <footer></footer>
    </section>

    <section id="normalizing">
      <header><h1>Another Perspective: Normalizing Flows</h1></header>
      <span style="text-align: center"><img src="kanwar.png" style="width:65vh" /></span>
      <div class="flex-horiz" style="margin: 2vh; font-size: 80%">
        <div>
          <p>Goal: sample from \(p(z)\)
          <p>A <strong>normalizing flow</strong> is a map \(\phi\)
          \[
          \int_{-\infty}^x e^{-x^2} dx = \int_{-\infty}^{\phi(x)} p(z)\, dz
          \]
          <p style="color: green">Sample from the Gaussian, then apply \(\phi\).
          <p>(Any easily sampled distribution can replace the Gaussian.)
        </div>
        <div style="height: 40vh; border: 1px solid #888888; margin: 2vh"></div>
        <div>
          <p style="color: red; font-weight: bold">What if \(\phi(x)\) is complex?
          <p>Complex normalizing flow \(\Rightarrow\) contour deformation
        </div>
      </div>
      <div class="flex-horiz">
        <span style="font-weight: bold; color: blue; font-size: 90%; padding: 3vh 0">A complex normalizing flow gives a locally perfect contour deformation</span>
      </div>
      <footer></footer>
    </section>

    <section id="analytic-continuation">
      <header><h1>Analytic Continuation of Normalizing Flows</h1></header>
      <p>Here's a normalizing flow for scalar field theory:
      <div class="flex-horiz">
        <img src="sft-nf.png" />
      </div>
      <p>What if \(M,\Lambda\) are complex? Doesn't matter; still a good normalizing flow.
      <div class="flex-horiz">
        <span style="font-weight: bold; color: green">Normalizing flows are analytic in action parameters</span>
      </div>
      <hr />
      <div>
      <div class="flex-horiz">
        <span style="font-weight: bold; color: blue; font-size: 110%; padding: 3vh 0">To summarize:</span>
      </div>
      <ul>
        <li>Normalizing flows always exist for real distributions (theorem)</li>
        <li>These can be analytically continued for complex parameters (ideology)</li>
        <li>Complex normalizing flow gives locally perfect manifold</li>
      </ul>
      </div>
      <footer></footer>
    </section>

    <section id="searching">
      <header><h1>Searching For Manifolds</h1></header>
      <p>Evaluating \(\langle \sigma \rangle\) itself is hard. The sign problem manifests as a signal-to-noise problem.
      <p>But, we don't need to! We just need to minimize \(Z_Q\), and
      \[\color{green}
      \frac{d}{d t}\lambda = - \frac{\partial}{\partial \lambda} \log Z_Q
      \]
      has the form of a quenched (i.e., sign-free) observable!
      <hr>
      <p>Training normalizing flows is more difficult &mdash; technical details need to be worked out (and it may not be practical in the complex case).
      <footer>See: 1804.00697, 1808.09799, 1810.06529</footer>
    </section>

<!--
    <section id="sign-problem-1">
      <header><h1>Contour Integrals for the Sign Problem</h1></header>
      <div class="flex-horiz">
        <div style="margin: 0 5vh">
          <p>The Boltzmann factor \(e^{-S}\) is complex. Sample with \(e^{-S_R}\) and reweight.
          \[
          \langle\sigma\rangle = \frac{\int e^{-S}}{\int |e^{-S}|}
          \]
        </div>
        <div style="margin: 0 5vh">
          <img src="cauchy1d2.svg" style="width:40vh"/>
        </div>
      </div>
      <div class="flex-horiz">
        <span style="font-weight: bold; color:green; margin: 0 5vh">
          Theorem: the integral of a holomorphic function is unchanged by contour deformation.
        </span>
      </div>
      <footer></footer>
    </section>

    <section id="advances">
      <header><h1>Other Advances</h1></header>
      <div class="flex-horiz">
        <div style="text-align: center; width:60vh">
          <img src="carleo-troyer.png" style="width:100%; margin: 4vh 0;" />
          <img src="schmitt-heyl.png" style="width:100%; margin: 4vh 0" />
          <img src="gutierrez-mendl.png" style="width:100%; margin: 4vh 0" />
        </div>
        <div style="text-align: center; width: 60vh">
          <img src="bursa-kroyter.png" style="width:100%; margin: 4vh 0" />
          <img src="kanwar-wagman.png" style="width:100%; margin: 4vh 0" />
        </div>
      </div>
      <footer></footer>
    </section>
-->

    <section id="part-ii">
      <div></div>
      <h1 style="text-align: center;">Part II: Computational Complexity</h1>
      <div></div>
    </section>

    <section id="hard-problems">
      <header><h1>Some Hard Problems</h1></header>
      <div class="flex-horiz">
        <div>
          <div style="text-align: center;font-weight:bold">Fermion Sign Problem</div>
          <ul>
            <li>Relativistic fermions at finite density</li>
            <li>Hubbard model away from half-filling</li>
          </ul>
        </div>
        <div>
          <div style="text-align: center;font-weight:bold">Real Time Dynamics</div>
          <p>Any expectation value of the form:
          \[
          \langle \mathcal O(t) \mathcal O(0)\rangle
          \]
        </div>
      </div>
      <div class="flex-horiz">
        <strong>Why should these be hard?</strong>
      </div>
      <img src="troyer.png" />
      <footer></footer>
    </section>

    <section id="jklp-1">
      <header><h1>A Hard Real-Time Problem</h1></header>
      <img src="jklp.png" />

      <p>One real scalar field in \(1+1\) dimensions.

      <p>Arbitrary classical sources.

      <p style="font-weight: bold; color: red; text-align: center">Obtaining real-time-separated correlation functions is BQP-hard.

      <footer></footer>
    </section>

    <section id="classes">
      <header><h1>Overview of Some Complexity Classes</h1></header>
      <p><span style="font-weight: bold">Complexity class</span>: set of computational problems, of related "difficulty".
      <dl>
        <dt>P</dt>
        <dd>"Polynomial time". Yes/no questions answerable in polynomial time. <span style="font-style: italic">"Is this graph connected?"</span></dd>
        <dt>BPP</dt>
        <dd>"Bounded-error Probabilistic Polynomial". Yes/no questions answerable with a high probability of being correct, in polynomial time. <span style="font-style: italic">Is this expectation value above or below \(0.5\), given a rapidly mixing Markov Chain?</span></dd>
        <dt>BQP</dt>
        <dd>"Bounded-error Quantum Polynomial". Yes/no questions answerable with a high probability of being correct, on a quantum machine, in polynomial time.</dd>
      </dl>
      <p style="text-align: center">\(P \subseteq BPP \subseteq BQP\)
      <footer>Really, I'm thinking of PromiseBPP and PromiseBQP.</footer>
    </section>

    <section id="reductions">
      <header><h1>Reductions</h1></header>
      <div class="flex-horiz"><span style="font-weight: bold">How do we prove a problem is 'hard'?</span></div>
      <p>"If I can solve X, I can solve Y" means "X is at least as hard as y"


      <div class="flex-horiz">
        <div><img src="hamiltonian.svg" style="width:60vh"/></div>
        <div>
          \[
          (\neg A \lor \neg B \lor C) \land (A \lor \neg C \lor D) \land \cdots
          \]
        </div>
      </div>

      <hr>
      <p>A problem \(X\) is <i>BQP-Complete</i> if every problem in BQP can be reduced to \(X\).
      <footer></footer>
    </section>

    <section id="jklp-2">
      <header><h1>The JKLP Reduction</h1></header>
      \[
      S = \int dx\;dt\; \frac 1 2 \left(\partial\phi\right)^2
      - \frac{m^2}{2}\phi^2
      - \lambda \phi^4
      - \color{red}{J_1(x,t)} \phi
      - \color{red}{J_2(x,t)} \phi^2
      \]
      <p>Some limits: \(m\rightarrow\infty\), and \(\lambda\rightarrow 0\).
      <div class="flex-horiz">
        <ul>
          <li>Quantum mechanics</li>
          <li>Perturbative potential</li>
          <li>Potential wells to hold particles</li>
        </ul>
        <img style="width: 55vh" src="jklp-wells.png" /></div>
      <hr>
      <div class="flex-horiz"><span style="color:red">Okay, but what about <i>scattering</i>?</span></div>
      <footer></footer>
    </section>

    <section id="s-matrix-easy">
      <header><h1>Not all S-matrices are hard</h1></header>
      <div class="flex-horiz">
      <img src="thirring.png" width="70%" style="text-align:center"/>
      </div>
      <p>But these theories tend to be boring.
      <ul>
        <li>No particle production
        <li>Momenta don't change
        <li>S-matrix factorizes
      </ul>
      <footer></footer>
    </section>

    <section id="jklp-3">
      <header><h1>The JKLP S-Matrix</h1></header>
      \[
      S = \int dx\;dt\; \frac 1 2 \left(\partial\phi\right)^2
      - \frac{m^2}{2}\phi^2
      - \lambda \phi^4
      \]
      <p>\(m\rightarrow\infty\) and \(\lambda\rightarrow 0\).
      <div class="flex-horiz"><img src="feynman.svg" style="wdith: 60vh"/></div>
      <p>JKLP only go to one loop, so we're justified in doing so, but of course higher precision is available.
      <footer></footer>
    </section>

    <section id="picture-1">
      <img src="picture1.svg" />
    </section>

    <section id="s-matrix-hard">
      <header><h1>Is the S-matrix ever hard?</h1></header>
      <p>We need a way to encode a circuit in the inputs to the S-matrix.
      <div class="flex-horiz" style="margin: 0 18vh"><span style="font-weight:bold; color:blue">The Hamiltonian does not have enough information to encode a hard problem.</span></div>
      <p>What can we use?
      <ul>
        <li>Incoming momenta</li>
        <li>Incoming spins</li>
        <li>Incoming species</li>
      </ul>
      <footer></footer>
    </section>

    <section id="s-matrix-big">
      <header><h1>The S-matrix is BIG</h1></header>
      <div class="flex-horiz">
        <img src="smatrix.svg" />
      </div>
      <p>The S-matrix describes all possible scattering experiments --- including those where the input state is a quantum computer.
      <footer></footer>
    </section>

    <section id="s-matrix-definition">
      <header><h1>Definitions of the S-Matrix</h1></header>
      <div style="text-align: center; color: green; font-weight: bold">What states does the S-matrix act on?</div>
      <p>Textbook definition of the S-matrix: two inputs ("two-to-many"), plane waves, stable particles.
      <div class="flex-horiz">
        <div style="margin: 0 2vh">
          <div style="text-align: center; font-weight: bold; color: blue">
            Many incoming particles
          </div>
          <p>Equivalent to allowing unstable states
          <p>Neutrons, deuterons, people
        </div>
        <div style="margin: 0 2vh">
          <div style="text-align: center; font-weight: bold; color: blue">
            Wavepackets
          </div>
          <p>Same information, but hard to extract.
          <p>Colliding/observing wavepackets is what particle colliders do!
        </div>
      </div>
      <footer></footer>
    </section>

    <section id="one-qubit-gate">
      <header><h1>One-Qubit Gate</h1></header>
      <div class="flex-horiz"><span>Goal: \(e^{i \theta \sigma_z}\)</span></div>
      <div class="flex-horiz">
        <img src="gate1.png" style="width:80vh" />
      </div>
      \[
      H_{1,Z} = - \frac{\hbar^2}{2M} \nabla^2 - \sigma_z \begin{cases}V_0 & \frac{-L}{2} \le x \le \frac L 2\\ 0 & \text{elsewhere}\end{cases}
      \]
      <p>(With large mass \(M\).) The momentum of the particle encodes \(\theta\).
      <hr>
      \[
H = \frac{-1}{2M} \nabla^2 + \begin{cases}\frac{V_0}{M} \sigma\cdot\nabla & |x| \le R\\0 & |x| > R\end{cases}
      \]
      <footer></footer>
    </section>

    <section id="enangling-gate">
      <header><h1>Entangling Gates</h1></header>
      <div class="flex-horiz">
      <img src="lloyd-any.png" style="width: 80vh"/>
      </div>
      <p>But, not every quantum logic gate is easy to work with...
      <hr>
      <p>CZ is good enough:
      \[
      H = -\frac{\hbar^2}{2M} \left(\nabla_1^2 + \nabla_2^2\right) +
      \begin{cases}
      h_{\uparrow\uparrow}  &amp; |x_1 - x_2| \le R \\
      0 &amp; \text{elsewhere}
      \end{cases}
      \]
      <p>Here the 2-qubit "hamiltonian" is just
      \[
      h_{\uparrow\uparrow} = |\uparrow\uparrow\rangle \langle\uparrow\uparrow|
      \]
      <p>More natural but less convenient is just \(\sigma_1 \cdot \sigma_2\).
      <p>Of course, now we need the ability to chose whether to use CZ or a one-qubit gate.
      <footer></footer>
    </section>

    <section id="making-circuit">
      <header><h1>Preparing a Circuit</h1></header>
      <div class="flex-horiz">
        <span style="color: green; font-weight: bold; text-align: center">
          Semiclassical limit: which qubits interact can be computed classically.
        </span>
      </div>
      <div class="flex-horiz">
        <div>
          <p>Life is easiest with four species:
        <ul>
          <li style="color:blue">"Memory" qubits</li>
          <li style="color:green">"Messenger" qubits</li>
          <li style="color:red">"Control" particles</li>
          <li>One-qubit gates</li>
        </ul>
        </div>
        <img src="circuit.svg" style="width: 80vh"/>
      </div>
      <ul>
        <li>Strong repulsion between control and messenger.
        <li>Non-entangling interaction between gate particles and memory.
        <li>Entangling interaction between memory and messenger.
      </ul>
      <footer></footer>
    </section>

    <section id="picture-2">
      <img src="picture2.svg" />
    </section>

    <section id="postselection">
      <header><h1>Postselection</h1></header>
      <p>A <em>postselected</em> function is one with two outputs --- we only care about the first output if the second output is "okay".
      <p>Implementing (as a standard BPP algorithm) would require running many times and waiting! Not efficient.
      <p>Unsurprisingly, we expect \(BPP \not\subseteq PostBPP\).
      <p>How are \(PostBPP\) and \(PostBQP\) related?
      <div class="flex-horiz">
        <img src="bjs.png" style="width: 80vh" />
      </div>
      <p>Claim: \(PostBQP \not\subseteq PostBPP\).
      <p>Classical computers can't simulate quantum computers <em>even with postselection</em>!
      <footer>\(PostBPP\) was once called \(BPP_{PATH}\) --- less often now.</footer>
    </section>

    <section id="s-matrix-fish">
      <header><h1>What about 2-to-many scattering?</h1></header>
      <p>"A sufficiently high-energy collision has a non-zero amplitude to produce an on-shell fish."
      <p>Why not produce a quantum computer?
      <div class="flex-horiz">
        <span style="color: blue; font-weight: bold">
          If we can sample from the S-matrix, \(PostBQP \subseteq PostBPP\)
        </span>
      </div>
      <hr>
      <p>But: we need to verify that the quantum computer "was built correctly"! In other words, we see some qubits flying at us, and we need to know what computation was performed.
      <p>Here the relevant limit is \(\lambda \rightarrow 0\) (to suppress loops) and \(m \rightarrow \infty\) (to make trajectories predictable).
      <p>Finally, ensure that the <em>creation</em> of qubits is such that the initial spins are known.
      <footer></footer>
    </section>

    <section id="the-catch">
      <header><h1>Quantum computers can't do this either!</h1></header>
      <div class="flex-horiz">
        <div style="margin: 0 2vh; border-right: 1px solid black">
          <div style="text-align: center; font-weight: bold">Additive approximation</div>
          <p>\[ p \pm \epsilon\]
          <p>Achievable with realistic quantum computer.
        </div>
        <div style="margin: 0 2vh">
          <div style="text-align: center; font-weight: bold">Multiplicative approximation</div>
          <p>\[ p (1 \pm \epsilon)\]
          <p>Not realistic on a quantum computer.
        </div>
      </div>
      <div class="flex-horiz">
        <span style="color: red; text-align: center; font-weight: bold">Neither quantum nor classical algorithms can be expected to sample exponentially rare S-matrix events correctly.</span>
      </div>
      <hr/>
      <div style="text-align: center">
      There's precedent (and hope)!
      </div>
      <div class="flex-horiz">
        <img src="bjs.png" style="width: 60vh"/>
      </div>
      <div class="flex-horiz">
        <img src="bms.png" style="width: 90vh"/>
      </div>
      <footer></footer>
    </section>

    <section id="picture-4">
      <img src="picture4.svg" />
    </section>

    <section id="part-iii">
      <div></div>
      <h1 style="text-align: center;">Part III: Extra Puzzles</h1>
      <div></div>
    </section>

    <section id="contour-deformation-questions">
      <header><h1>Contour Deformation Questions</h1></header>
      <ul style="line-height: 180%">
        <li>What is the space of perfect manifolds for quadratic actions?
        <li>What methods can prove no perfect manifold exists?
        <li>How do symmetries of the action manifest?
        <li>Can higher momentum modes be integrated out after contour deformation?
      </ul>
      <footer></footer>
    </section>

    <section id="another-sign-problem">
      <header><h1>A New Type of Sign Problem</h1></header>
      <p>Real-time correlators can be computed with access (at large \(\alpha\)) to
      \[
      f_\alpha(\omega, \omega') \equiv 
      \sum_{\psi',\psi} \langle \psi' | \mathcal O | \psi \rangle \langle \psi | \mathcal O | \psi' \rangle e^{- \alpha (E_\psi - \omega)} e^{-\alpha (E_{\psi'} - \omega')}
      \]
      <p>Which in turn can be defined on the lattice:
      \[
      f(\omega, \omega') \sim \mathrm{Tr}\;\mathcal O e^{-(H - \omega)^2}\mathcal O e^{-(H - \omega')^2}
      \]
      <p style="color:red">Alas, \((H - \omega)^2\) has a sign problem as well!
      <footer></footer>
    </section>

    <section id="closing">
      <header></header>
      <div style="text-align: center;font-size: 5vh;">FIN</div>
      <footer></footer>
    </section>

    <div id="present-control">
      <div id="position"><span id="pos-cur"></span>/<span id="pos-len"></span></div>
      <a href='javascript:prev()'>&lt;</a>
      <a href='javascript:next()'>&gt;</a>
    </div>
  </body>
</html>
